<?php
namespace ModulesAbstract\PluginReports\ConfigUDEFListing;

abstract class View_Insert extends \App\Mvc\View_Popup_Entity_GeneralAbstract
{
	protected $formClassName='View_Utils_FormInsert';

	/**
	 * Override parent, load absLang if not defined locally
	 * @return string
	 */
	public function getPageTitle()
	{
		$parentResult = parent::getPageTitle();
		$absLang = \App\Loader_Lang::getInstance()->loadAppFile('_customLoad/modulesAbstract/pluginReports/configUdefListing/ConfigUDEFListing.lang.php')->getSection("ModulesAbstract/PluginReports/ConfigUDEFListing");
		return ($parentResult ?: $absLang['insert']['pageTitle']);
	}

	/**
	 * Override parent, load absLang if not defined locally
	 * @return string
	 */
	public function getSectionTitle()
	{
		$parentResult = parent::getSectionTitle();
		$absLang = \App\Loader_Lang::getInstance()->loadAppFile('_customLoad/modulesAbstract/pluginReports/configUdefListing/ConfigUDEFListing.lang.php')->getSection("ModulesAbstract/PluginReports/ConfigUDEFListing");
		return ($parentResult ?: $absLang['insert']['sectionTitle']);
	}

}